
#include <asm/uaccess.h>
#include <linux/fs.h>

#include "galil1800_io.h"


static
ssize_t galil1800_write(struct file *filp,
	const char __user *buf, size_t size, loff_t *poff)
{
	GALIL_PRINT_DEBUG("write called\n");
	return -EINVAL;
}

static
ssize_t galil1800_read(struct file *filp, char __user *buf,
				size_t size, loff_t *poff)
{
	GALIL_PRINT_DEBUG("read called\n");
	return -EINVAL;
}

static
int galil1800_open(struct inode *inode, struct file *filp)
{
	GALIL_PRINT_DEBUG("open called\n");
	return -EINVAL;
}

static
int galil1800_release(struct inode *inode, struct file *filp)
{
	GALIL_PRINT_DEBUG("release called\n");
	return -EINVAL;
}


struct file_operations galil1800_fops = {
	.owner = THIS_MODULE,
	.read = galil1800_read,
	.write = galil1800_write,
	.open = galil1800_open,
	.release = galil1800_release,
	.llseek = no_llseek
};
